## ppp 2.3.11

=== Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = hppaSerialPatch.bproj

PROJECTVERSION = 1.1
LANGUAGE = English

BUNDLES = hppaSerialPatch.bproj

OTHERSRCS = Makefile Makefile.postamble Makefile.preamble


MAKEFILEDIR = /NextDeveloper/Makefiles/app
MAKEFILE = bundle.make
SOURCEMODE = 444

BUNDLE_EXTENSION = bundle


-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
