## ppp 2.4.2+20040202-3osso5

=== debian/changelog ===
ppp (2.4.2+20040202-3osso5) unstable; urgency=low

  * Fixed ppp.postinst and ppp.postrm to work with busybox.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed,  6 Apr 2005 13:47:49 +0300

ppp (2.4.2+20040202-3osso4) unstable; urgency=low

  * Remove dependency to PAM, patch from Ed Bartosh.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue,  2 Nov 2004 11:17:22 +0200

ppp (2.4.2+20040202-3osso3) unstable; urgency=low

  * Fix alignment issue for MS-CHAP and MS-CHAP-v2 authentications

 -- Timo Ters <ext-timo.teras@nokia.com>  Tue, 12 Oct 2004 18:29:14 +0300

ppp (2.4.2+20040202-3osso2) unstable; urgency=low

  * Don't build udeb and -dev packages, this time for real. Also the ppp
    sources are now in CVS, so they don't get lost again.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu,  9 Sep 2004 15:06:03 +0300

ppp (2.4.2+20040202-3osso1) unstable; urgency=low

  * Sources for the original 2.4.2+20040202-3osso1 were lost and I try
    copy all the changes to a new -3osso1. Let's see how this goes.
  * Disabled udeb build.
  * Disabled usage of libpcap and removed build dependency to it.
  * Disabled IPv6.
  * Disabled pppoatm.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu,  9 Sep 2004 12:35:45 +0300

ppp (2.4.2+20040202-3) unstable; urgency=medium

  * Fixed the dependencies of ppp-udeb/ppp-dev. (Closes: #243774)
  * New debconf translation: tr. (Closes: #243684)
  * Added ipv6-{up,down} scripts. (Closes: #243330)

 -- Marco d'Itri <md@linux.it>  Thu, 15 Apr 2004 19:53:16 +0200

ppp (2.4.2+20040202-2) unstable; urgency=medium

  * Enabled the postinst script in ppp-udeb, now it should be almost
    useful.
  * Add a workaround to the 0000usepeerdns scripts to not fail if
    /etc/resolv.conf does not exist. (Closes: #235583)
  * Added new debconf translations: fr, nl, ja.
    (Closes: #236726, #239458, #237176)
  * Fixed *again* the $PID regexp in poff, to be compatible with mawk.
    (Closes: #238667, #239766)

 -- Marco d'Itri <md@linux.it>  Sun, 11 Apr 2004 16:22:24 +0200

ppp (2.4.2+20040202-1) unstable; urgency=medium

  * New upstream release, with updates from CVS. (Closes: #102876)
  * Patches removed because they have been merged upstream:
    009_SETUP.diff 012_secure-card.diff 053_pppoe-fix-persist
    054_pppoe-no-dead-code 055_pppoe-update-3.5 056_pppoe-nas-tap
    devnam_path disable_evil_slprintf_r makefiles_use_copts
    parisc_eagain_fix peerdns-env-always ppp-2.4.0-ttyperms.dif
    pppd.8-filters warning_ipv6cp.
  * Removed patch 005_fsm.c.diff, the upstream author thinks it violates
    RFC1661.
  * Removed patch 006_ipcp.c.diff, it appears to be useless.
  * Fixed the $PID regexp in poff. (Closes: #219442, #225443)
  * Use mv -f in 0000usepeerdns. (Closes: #225792)
  * Added debian/po/. (Closes: #233758)
  * New patch fix_closed_fds: make sure that fd numbers 0, 1 and 2 are not
    used for a socket. (Closes: #235192)

 -- Marco d'Itri <md@linux.it>  Sun, 29 Feb 2004 18:54:34 +0100

ppp (2.4.2+20031127-2) unstable; urgency=medium

  * New upstream snapshot, only documentation changes.
  * New patch pppoe-nas-tap: make the pppoe plugin accept nas and tap
    devices too, from Carlos Fonseca. (Closes: #221759)
  * New patch pppoe-interface-up: make the pppoe plugin set the interface up.
    (Closes: #222558)
  * Do not make 0000usepeerdns-up fail if resolv.conf is empty.
    (Closes: #221121)
  * Removed patch use_system_logwtmp: it breaks utmp updates.
    (Closes: #222261)
  * Resurrected ppp.udeb.
  * Removed patch: ppp-2.4.1-MSCHAPv2-fix.patch (was applied to dead code).
  * New patch: ppp-2.4.2-stripMSdomain (I ported the old patch to the new
    CHAP code).
  * New patch: no_crypt_hack, because the d-i libc does not have crypt(3).
  * Clean up the APM script. (Closes: #222008, #222436)
  * New patch: parisc_eagain_fix to fix the EAGAIN != EWOULDBLOCK bug on
    parisc, by James Bottomley. (Closes: #224982)

 -- Marco d'Itri <md@linux.it>  Thu,  4 Dec 2003 11:54:35 +0100

ppp (2.4.2+20031002-4) unstable; urgency=medium

  * Deprecate /etc/ppp/ppp_on_boot in favour of ifupdown.
  * Added /etc/apm/event.d/ppp to support APM. (Closes: #217821)
  * Remove the logrotate entry for ppp.log, as syslog daemons manage
    logging by themselves. (Closes: #216786, #217190)
  * Add documentation about setting the default route. (Closes: #85426)

 -- Marco d'Itri <md@linux.it>  Thu, 30 Oct 2003 21:04:15 +0100

ppp (2.4.2+20031002-3) unstable; urgency=medium

  * New patch 043_pppoatm-no-modprobe: do not run modprobe inside pppd.
  * Removed the run-parts --report option from ip-{up,down} because it
    caused it to wait for childs. (Closes: #214473)
  * Suggests: libatm1. (Closes: #215874)
  * Allow / in the poff parameter. (Closes: #215972)
  * New example file per-linkname, from Eyal Rozenberg.

 -- Marco d'Itri <md@linux.it>  Sat, 18 Oct 2003 12:34:26 +0200

ppp (2.4.2+20031002-2) unstable; urgency=medium

  * Fixed poff regexp. (Closes: #214051)

 -- Marco d'Itri <md@linux.it>  Mon,  6 Oct 2003 20:21:10 +0200

ppp (2.4.2+20031002-1) unstable; urgency=low

  * Fresh CVS checkout.
  * Removed the part of 040_pppoatm.diff which added a remove_option
    member to struct protent in pppd.h. This has no apparent meaning
    and breaks many other users of protent, like IPCP.
    Debugged by Benjamin Heuer. (Closes: #213352)
  * Conflict with incompatible versions of pppdcapiplugin. (Closes: #213217)

 -- Marco d'Itri <md@linux.it>  Tue, 30 Sep 2003 23:06:12 +0200

ppp (2.4.2+20030811-6) unstable; urgency=low

  * Fix run-parts call in ip-{up,down}. (Closes: #213059)
  * Removed ppp.udeb because it's apparently useless.
  * New patch 042_pppoatm-libatm-workaround: work around a bug in
    libatm1-dev which caused libatm.a to be statically linked (see #213146).
    Now libatm1 needs to be installed if this plugin is used.
  * Some obsolete information has been removed from README.Debian.

 -- Marco d'Itri <md@linux.it>  Sun, 28 Sep 2003 19:48:32 +0200

ppp (2.4.2+20030811-5) unstable; urgency=low


