## ppp 2.4.2+20040202-3osso6

=== debian/changelog ===
ppp (2.4.2+20040202-3osso6) unstable; urgency=low

  * Fixed ppp.postinst and ppp.postrm to work with busybox.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed,  6 Apr 2005 13:47:49 +0300
