## ppp 2.4.2+20040202-3osso7

=== debian/changelog ===
ppp (2.4.2+20040202-3osso7) unstable; urgency=low

  * Apply thumb code, patch from Leonid Moiseichuk. (closes: #27108)

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue, 25 Apr 2006 16:30:36 +0300
