=== debian/control ===
Source: ppp
Section: base
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 4.1.17)
Standards-Version: 3.6.1

Package: ppp
Section: base
Architecture: any
Depends: ${shlibs:Depends}, netbase, procps, makedev (>= 2.3.1-56)
Conflicts: ppp-pam, ppp-udeb, pppdcapiplugin (<= 1:3.2pre3-4)
Replaces: ppp-pam, ppp-udeb
Description: Point-to-Point Protocol (PPP) daemon
 The Point-to-Point Protocol (PPP) provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link (the "peers") to negotiate various optional
 characteristics of the link.  Using PPP, a serial link can be used to
 transmit Internet Protocol (IP) datagrams, allowing TCP/IP connections
 between the peers.
