=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,13 @@
 FILENAME := $(PACKAGE)_$(VERSION)_$(ARCH).udeb
 PRIORITY := $(shell grep ^Priority: debian/control | head -1 | cut -d ' ' -f 2)
 endif
+
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
+export CFLAGS
 
 # Various collections of files for use with dh_* tools.
 DOCS  := README.linux FAQ README SETUP PLUGINS README.MSCHAP80 README.cbcp
