## ppp 2.4.4rel-8osso4

=== debian/changelog ===
ppp (2.4.4rel-8osso4) unstable; urgency=low

  * Added GPL v2 and LGPL v2.1 licence text files. Fixes: NB#81041
  * Don't install pppd-dns init script or usepeerdns ip-up.d and ip-down.d
    scripts. Fixes: NB#80711

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 22 Feb 2008 12:04:00 +0200

ppp (2.4.4rel-8osso3) unstable; urgency=low

  * Removed default route removal. Fixes: NB#67363

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  3 Sep 2007 11:42:38 +0300

ppp (2.4.4rel-8osso2) unstable; urgency=low

  * Do not change valid exit status on hangup. Fixes: NB#56591

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 12 Jun 2007 14:29:27 +0300

ppp (2.4.4rel-8osso1) unstable; urgency=low

  * New upstream version
  * Append CFLAGS in makefiles (OSSO patch)
  * Removed PAM and libpcap dependencies (OSSO patch)
  * Removed unused binary package generation (OSSO patch)
  * Patched installation to work with busybox (OSSO patch)
  * Applied thumb code generation (OSSO patch)

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  5 Jun 2007 15:18:08 +0300

ppp (2.4.4rel-8) unstable; urgency=high

  * urgency high since fixes an RC bug
  * make sure the /etc/resolv.conf file is world readable (Closes: #415077)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sat, 17 Mar 2007 22:31:45 +0200

ppp (2.4.4rel-7) unstable; urgency=high

  * urgency set to high to catch the RC2 release
  * Updated translations: pt_BR  (Closes: #411544)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sun,  4 Mar 2007 17:59:00 +0200

ppp (2.4.4rel-6) unstable; urgency=low

  * Updated translations: da, it, es
    (Closes: #409479, #410326)
  * New translations:
    - Basque, thanks to Piarres Beobide <pi@beobide.net>
    - Catalan, thanks to Jordà Polo <jorda@ettin.org> (closes: 410215)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 12 Feb 2007 17:36:46 +0200

ppp (2.4.4rel-5) unstable; urgency=low

  [ Eddy Petrișor ]
  * added ${misc:Depends} to ppp-udeb
  * removed debconf as a dependency of ppp-udeb since such a package does not
    exist in d-i environment
  * ppp-udeb: the interface is now brought up in the installed system
    (Closes: #402450, #406231)
  * ppp-udeb: loopback interface snippet is added too, to make sure we have it
    in the installed system
  * ppp-udeb: added error handling if the wrong login info is sent or other
    error is returned while calling the provider
  * ppp-udeb: after triggering the connection wait to see if the connection is
    actually done, don't assume everything went fine
  * make a PID file in /var/run/ppp-udeb.pid to be able to kill the right
    process later (pppd creates one only after a succesful installation)
  * Added myself to Uploaders with maintainer's consent.
  * Updated po-debconf translations: sv, ru, cs, de, ro, fr, nl, ja, pt
    (Closes: #406993, #408004, #407684)
  * Added po-debconf translations:
    - Tamil (ta), thanks to Tirumurti Vasudevan
    - Norwegian Bokmål (nb), thanks to Hans F. Nordhaug
    - Galician (gl), thanks to Jacobo Tarrio (Closes: #407893)
  * ppp-udeb: use "|| exit 10" for password and username as suggested by Frans
  * ppp-udeb: add the possibility to go back to menu (thanks to Frans for the
    hint)
  * added a new template for the progress bar while waiting to connect;
    imported entirely (including translations) from partman
  * updated ppp-udeb.todo (only integration with netcfg remains)
  * s/Type: progress/Type: text/ in ppp-udeb.templates, it seems I was on some
    kind of crack when I said the type is progress

  [ Frans Pop ]
  * ppp-udeb: general review resulting in some corrections and restructuring
  * ppp-udeb: set up loopback interface in installer environment
  * ppp-udeb: ask for hostname and check validity (using netcfg template)
  * ppp-udeb: create /etc/hostname and basic /etc/hosts files

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 29 Jan 2007 16:58:03 +0200

ppp (2.4.4rel-4.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's consent.
  * New patch fix_mschapv2_ppp which makes ppp works with mschapv2. Thanks
    to Guillaume Knispel <gknispel@proformatique.com>. Closes: #381420.
  * Add hints section to README.pppoe (pppoe_readme patch) and iptables to 
    Suggests. Thanks to Joerg Dorchain <joerg@dorchain.net>. Closes: #251918.
  * Improve the chat manpage concerning timeout (chap_man patch).
    Closes: #320494.

 -- Arnaud Fontaine <arnaud@andesi.org>  Thu, 14 Dec 2006 21:31:55 +0100

ppp (2.4.4rel-4) unstable; urgency=low

  [ Eddy Petrișor ]
  * Using provider as the pppoe profile name in ppp-udeb so that the
    connection starts after reboot and to integrate better with ppp helpers.
  * Implemented idempotency in ppp-udeb by following the pid file generated
    by pppd and bringing down interfaces which were rised by ppp-udeb.
  * Improved some conditions which were problematic in concentrator detection.
  * Deal elegantly with resolv.conf when using peer dns in ppp-udeb.
  * Really detect if the interfaces were raised before ppp-udeb probed.
  * Added a ppp-udeb.dirs file.
  * Revert the gratuitous type change to "note" for ppp/detect_progress.
    (Closes: #395197)
  * Fix some mistakes in ppp-udeb.postinst which could have caused some of the
    strange issues seen during early tests. (Closes: #395187)
  * Updated debconf translation: ro.

  [ Marco d'Itri ]
  * Pass the command line arguments to the ip*-{up,down} scripts.
    (Closes: #378810)
  * Updated debconf translations: de, ru. (Closes: #396035, #397169)
  * Improved bash completion. (Closes: #397037)

 -- Marco d'Itri <md@linux.it>  Tue, 14 Nov 2006 12:52:29 +0100

ppp (2.4.4rel-3) unstable; urgency=medium

  [ Luk Claes ]
  * Add a Provides entry in the LSB type header (Closes: #386387).
  * Updated debconf translations: ro, fr, es, cs, nl, sv, ja.
    (Closes: #377672, #384191, #378636, #380529, #384875, #386769)
    (Closes: #387028, #390489).
  * Fix PPPDIR (Closes: #384121, #392858).

  [ Eddy Petrişor ]

