=== debian/control ===
Source: ppp
Section: admin
Priority: optional
Maintainer: Aapo Makela <aapo.makela@nokia.com>
Build-Depends: debhelper (>> 4.1.17), zlib1g-dev
Standards-Version: 3.7.2.2

Package: ppp
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, netbase, procps
Conflicts: ppp-pam, ppp-udeb, pppdcapiplugin (<= 1:3.7.2005-07-09-2), makedev (<< 2.3.1-56)
Replaces: ppp-pam, ppp-udeb
Suggests: iptables
Description: Point-to-Point Protocol (PPP) daemon
 The Point-to-Point Protocol (PPP) provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link (the "peers") to negotiate various optional
 characteristics of the link.  Using PPP, a serial link can be used to
 transmit Internet Protocol (IP) datagrams, allowing TCP/IP connections
 between the peers.
