=== debian/changelog ===
ppp (2.4.5-1) unstable; urgency=low

  * Initial release for Maemo 5 (N900).

 -- unknown <gjames@mail>  Tue,  9 Nov 2010 07:15:27 -0500
