## ppp 2.4.5-2

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,9 @@
 $(BINDIR):
 	$(INSTALL) -d -m 755 $@
 $(MANDIR)/man8:
-	$(INSTALL) -d -m 755 $@
+	#Not installing documentation in order to conserve space.
+	#$(INSTALL) -d -m 755 $@
+	echo Skipping...
 $(ETCDIR):
 	$(INSTALL) -d -m 755 $@
