=== debian/changelog ===
ppp (2.4.5-2) unstable; urgency=low

  * Removed 'Section' tag to remove visibility in App Mgr.

 -- unknown <gjames@mail>  Tue,  1 Feb 2011 09:01:34 -0500
