=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Standards-Version: 3.7.2
 
 Package: ppp
-Section: user/network
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: The Point-to-Point Protocol provides a standard way to transmit datagrams over a serial link, as well as a standard way for the machines
